> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get page

> GetPage

 Returns page information by page ID.



## OpenAPI

````yaml get /ott/pages/v1/{page_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /ott/pages/v1/{page_id}:
    get:
      tags:
        - PageService
      description: |-
        GetPage

         Returns page information by page ID.
      operationId: PageService_GetPage
      parameters:
        - name: page_id
          in: path
          required: true
          schema:
            type: string
        - name: page_type
          in: query
          required: true
          schema:
            enum:
              - PAGE_TYPE_UNSPECIFIED
              - PAGE_TYPE_DEFAULT
              - PAGE_TYPE_HOME
              - PAGE_TYPE_EVENT
              - PAGE_TYPE_CREATIVE_WORK
              - PAGE_TYPE_ENTITY
            type: string
            format: enum
        - name: platform_id
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/motto.ott.page.v1.GetPageResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.ott.page.v1.GetPageResponse:
      type: object
      properties:
        page:
          $ref: '#/components/schemas/motto.ott.page.v1.Page'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.ott.page.v1.Page:
      required:
        - id
        - project_id
        - page_type
      type: object
      properties:
        id:
          type: string
          description: >-
            User generated identifier for the page. It is unique in the context
            of a single page_type.
             This id is used to construct the non-slug version URL of this page.
             If this is a page that represents a single content type in the CMS (event/creative_work/entity),
             then this id should be the same as the type_id of that content type (e.g. "team")
        project_id:
          type: string
        name:
          type: string
          description: The name of this page entry. Not shown to end users.
        title:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized titles for this page, for end users to see. The
            key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr",
            etc.
             If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
             For PAGE_TYPE_EVENT, PAGE_TYPE_CREATIVE_WORK, and PAGE_TYPE_ENTITY, you can include reference properties of the
             resource you are loading dynamically, e.g. `{event.title}`, `{creative_work.description}` or `{entity.name}`.
             Important: this is also used in the page's HTML <metadata> and <title> tags.
             If this map is left empty, a best effort title will be generated (e.g. based on page_type + parameter data).

             Note: this overwrites the platform-level title configuration.
        description:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized descriptions for this page. This description will
            be included in the page metadata and can be
             important for search-engine optimization.
        page_type:
          enum:
            - PAGE_TYPE_UNSPECIFIED
            - PAGE_TYPE_DEFAULT
            - PAGE_TYPE_HOME
            - PAGE_TYPE_EVENT
            - PAGE_TYPE_CREATIVE_WORK
            - PAGE_TYPE_ENTITY
          type: string
          format: enum
        parameters:
          type: array
          items:
            type: string
          description: >-
            The list of parameters that a page instance should collect in order
            to work. For example ["competition_id"].
             The order of this list is important, as it will be used to parse the URL of a page.
             For example, if the page_type is PAGE_TYPE_ENTITY, the id is "competition", and the parameter list is ["id", "year"],
             then this page will listen to e.g. `https://example.com/en-US/entity/competition/HiKTtRZYdyGU/2024`.
             Important: the page will also listen to URLs that do not contain all the parameters. In that case, it will not render
             any component that is dependent on this parameter.
        page_component_ids:
          type: array
          items:
            type: string
          description: >-
            A list of page component IDs that together define the structure of
            the page.
             The order of this list determines the order in which the components are displayed towards end users.
        css:
          type: string
          description: >-
            Web only. CSS rules that should be included in the page. Can be used
            to override default page/component styling.
        platform_id:
          type: string
          description: The platform ID that this page is associated with.
        visibility:
          enum:
            - VISIBILITY_UNSPECIFIED
            - VISIBILITY_PUBLISHED
            - VISIBILITY_UNLISTED
            - VISIBILITY_HIDDEN
          type: string
          format: enum
        metadata_tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of metadata tags that should be included in the page. These
            tags can be used for search-engine optimization.
             Note that some default tags will already be set based on other fields on this object, like title and description.
        overrides:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/motto.ott.page.v1.PageOverride'
          description: >-
            A map of overrides for the page. This is useful for scenarios where
            some subset of Page instantiations should have different properties.
             The key is a filter, which can target any URL parameter or event/entity property.
             It supports AND and OR clauses, but not both at the same time. It does not support negation, or nesting.
             The value is a PageOverride, that will be applied to the page when the filter matches.
             For example:
             - if the regular page is for a "team" entity, but you want a special page for FC Barcelona, the key would
             be `team.id:fc_barca_123` (or whatever the ID of the FC Barcelona entity is).
             - if the regular page is for a "player" entity, but you want a special page for all players in the the national team,
             the key would be `player.fields.team.id:national_team_123` (or whatever the ID of the national team entity is), provided the player entity
             has a `team` field that references the team entity.
             - If the regular page is a "default" page like the "Search results" page, but you want a special page for the "FC Barcelona"
             search query, then you can use the key `q:FC Barcelona` (if "q" is your URL parameter name).

             Note that a hit on a page override will entirely replace the page components and other properties;
             it will not merge with the base page.
        page_components:
          type: array
          items:
            $ref: '#/components/schemas/motto.ott.page.v1.PageComponent'
          description: >-
            A list of page components that together define the structure of the
            page.
             The order of this list determines the order in which the components are displayed towards end users.
             This field can be set during creation for convenience, but for updating, use `page_component_ids` after creating individual components first.
             This field is not populated on List responses.
        is_preview:
          type: boolean
          description: >-
            Indicates that this page is a preview page. Preview pages are not
            shown to end users, but can be used for testing and previewing
            changes.
             When you wish to deploy a preview page to production (your main platform for end users), you should use `ClonePage`.
             When cloning, "dangling" page components that are only used by this page will also be deleted.
        source_page_id:
          type: string
          description: >-
            The page ID of the production page that this preview page is based
            on.
             This field is only relevant when "is_preview" is true. It will be set automatically when using the "ClonePage" API method.
        redirects:
          type: array
          items:
            $ref: '#/components/schemas/motto.ott.page.v1.PageRedirect'
          description: >-
            A configuration for redirecting this page to another page under
            specified conditions. This is useful for scenarios
             like when a user should see a marketing offer on the homepage if they are not yet signed in, or when the user is
             not allowed to access the platform from a certain region.
             There can be more than one redirect configured; in that case, the first matching redirect will be applied (if any).
      description: >-
        Page is a configuration object that defines the structure of a page, of
        which there can be arbitrarily many instances.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.ott.page.v1.PageOverride:
      type: object
      properties:
        name:
          type: string
          description: The name of this page entry. Not shown to end users.
        title:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized titles for this page, for end users to see. The
            key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr",
            etc.
             If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
             For PAGE_TYPE_EVENT, PAGE_TYPE_CREATIVE_WORK, and PAGE_TYPE_ENTITY, you can include reference properties of the
             resource you are loading dynamically, e.g. `{event.title}`, `{creative_work.description}` or `{entity.name}`.
             Important: this is also used in the page's HTML <metadata> and <title> tags.
             If this map is left empty, a best effort title will be generated (e.g. based on page_type + parameter data).

             Note: this overwrites the platform-level title configuration.
        description:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized descriptions for this page. This description will
            be included in the page metadata and can be
             important for search-engine optimization.
        page_component_ids:
          type: array
          items:
            type: string
          description: >-
            A list of page component IDs that together define the structure of
            the page.
             The order of this list determines the order in which the components are displayed towards end users.
        css:
          type: string
          description: >-
            Web only. CSS rules that should be included in the page. Can be used
            to override default page/component styling.
        metadata_tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of metadata tags that should be included in the page. These
            tags can be used for search-engine optimization.
             Note that some default tags will already be set based on other fields on this object, like title and description.
        page_components:
          type: array
          items:
            $ref: '#/components/schemas/motto.ott.page.v1.PageComponent'
          description: >-
            A list of page components that together define the structure of the
            page.
             The order of this list determines the order in which the components are displayed towards end users.
             This field can be set during creation for convenience, but for updating, use `page_component_ids` after creating individual components first.
      description: >-
        PageOverride is a subset of the Page message. It can be used to modify
        default behavior of a page.
    motto.ott.page.v1.PageComponent:
      required:
        - project_id
      type: object
      properties:
        id:
          readOnly: true
          type: string
        project_id:
          type: string
        name:
          type: string
        type:
          type: string
          description: |-
            The type of component that should be rendered.
             Refer to the documentation to find the available types.
        data:
          type: object
          description: >-
            Data needed by individual components. Each component can have its
            own data structure.
             Refer to the documentation for the specific component to see what data is needed.
        props:
          type: object
          description: >-
            Additional properties that can be used to customize the rendering of
            this component.
             This can be used in two ways:
             1) If you are using the Motto OTT platform, you can find the available keys and values in our OTT documentation.
             2) If you are rendering the component yourself, you can use this map to pass arbitrary data to your rendering engine.
        environments:
          type: array
          items:
            type: string
          description: >-
            The environments in which this component should be rendered. The
            available options are:
             "web", "ios", "android", "tvos", "lg", "samsung", "androidtv"
             If left empty, the component will be rendered in all environments (when possible).
        visibility:
          enum:
            - VISIBILITY_UNSPECIFIED
            - VISIBILITY_PUBLISHED
            - VISIBILITY_UNLISTED
            - VISIBILITY_HIDDEN
          type: string
          format: enum
        group_id:
          type: string
          description: >-
            An arbitrary string that can be used to group components together.
            This is useful to render a group of components
             in a shared container so that they can be styled/positioned together.
             Any component that shares a group_id with another component must immediately precede or follow it.
             If a group_id is not provided, the component's own id will be used as the group_id.
        css_classes:
          type: array
          items:
            type: string
          description: >-
            Web only. A list of CSS classes that should be added to the
            component's container element.
             This can be used to apply custom styling to the component.
    motto.ott.page.v1.PageRedirect:
      type: object
      properties:
        url:
          type: string
          description: |-
            The target page ID to which the user should be redirected.
             It is recommended NOT to include the language component in the URL, so the platform can select the appropriate
             language based on user preferences.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/motto.ott.page.v1.PageRedirect_Condition'
          description: Redirect applies if ALL conditions in this list match (logical AND).
      description: >-
        PageRedirect is a configuration for redirecting this page to another
        page under specified conditions.
    motto.ott.page.v1.PageRedirect_Condition:
      type: object
      properties:
        authentication:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_Authentication'
          description: Authentication condition
        geolocation:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_Geolocation'
          description: Geolocation condition
        entitlement:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_Entitlement'
          description: Entitlement condition
      description: A condition that must be met for the redirect to apply.
    motto.ott.page.v1.Condition_Authentication:
      type: object
      properties:
        state:
          enum:
            - SIGNED_IN_STATE_UNSPECIFIED
            - SIGNED_IN_STATE_SIGNED_OUT
            - SIGNED_IN_STATE_SIGNED_IN
          type: string
          description: The state to match against.
          format: enum
      description: An authentication state condition.
    motto.ott.page.v1.Condition_Geolocation:
      type: object
      properties:
        on_countries:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_CountryCodes'
          description: Apply redirect if the user is in one of these countries.
        except_countries:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_CountryCodes'
          description: Apply redirect if the user is NOT in one of these countries.
      description: A geolocation condition.
    motto.ott.page.v1.Condition_Entitlement:
      type: object
      properties:
        entitled_to:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_OfferIds'
          description: Apply redirect if the user is entitled to any of these offers.
        not_entitled_to:
          allOf:
            - $ref: '#/components/schemas/motto.ott.page.v1.Condition_OfferIds'
          description: Apply redirect if the user is NOT entitled to any of these offers.
      description: An entitlement condition.
    motto.ott.page.v1.Condition_CountryCodes:
      type: object
      properties:
        country_codes:
          type: array
          items:
            type: string
          description: >-
            A country code (ISO 3316-1 alpha-2:
            https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes)
      description: A list of country codes.
    motto.ott.page.v1.Condition_OfferIds:
      type: object
      properties:
        offer_ids:
          type: array
          items:
            type: string
          description: The offer IDs to check against.
      description: A list of offer IDs.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````